Review
Available from Phase 3
/api/v1/reviewAn app token (sk_live_, sk_test_, pk_live_), a browser token (a 5-minute ES256 JWT) or an agent token (sa_live_).
In: header
Query Parameters
Value in
- "action"
- "label"
Value in
- "open"
- "pending_confirmation"
- "resolved"
- "dismissed"
1 <= lengthValue in
- "high"
- "medium"
- "low"
1 <= value <= 200501 <= lengthResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v1/review"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "setId": "83e19bc1-5428-42b5-88ea-b28354e481f3", "decisionId": "string", "kind": "action", "reason": "action", "sampleRate": 0, "band": "high", "suggested": "string", "status": "open", "assigneeId": "665a9750-71bd-4b96-bacd-9efa4ae022dd", "resolution": "string", "resolvedBy": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "tokenId": "07dfef4c-e677-4ce6-87a3-cd348338445f" }, "resolvedAt": "2019-08-24T14:15:22Z", "addToDataset": true, "createdAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}/api/v1/review/{id}/assignAn app token (sk_live_, sk_test_, pk_live_), a browser token (a 5-minute ES256 JWT) or an agent token (sa_live_).
In: header
Path Parameters
uuidHeader Parameters
Required for app and agent tokens on mutations. A replay within 24 hours returns the stored response.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/review/497f6eca-6276-4993-bfeb-53cbbbba6f08/assign" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'null/api/v1/review/{id}/resolveAn app token (sk_live_, sk_test_, pk_live_), a browser token (a 5-minute ES256 JWT) or an agent token (sa_live_).
In: header
Path Parameters
uuidHeader Parameters
Required for app and agent tokens on mutations. A replay within 24 hours returns the stored response.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/review/497f6eca-6276-4993-bfeb-53cbbbba6f08/resolve" \ -H "Content-Type: application/json" \ -d '{ "resolution": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "setId": "83e19bc1-5428-42b5-88ea-b28354e481f3", "decisionId": "string", "kind": "action", "reason": "action", "sampleRate": 0, "band": "high", "suggested": "string", "status": "open", "assigneeId": "665a9750-71bd-4b96-bacd-9efa4ae022dd", "resolution": "string", "resolvedBy": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "tokenId": "07dfef4c-e677-4ce6-87a3-cd348338445f" }, "resolvedAt": "2019-08-24T14:15:22Z", "addToDataset": true, "createdAt": "2019-08-24T14:15:22Z"}/api/v1/review/{id}/dismissAn app token (sk_live_, sk_test_, pk_live_), a browser token (a 5-minute ES256 JWT) or an agent token (sa_live_).
In: header
Path Parameters
uuidHeader Parameters
Required for app and agent tokens on mutations. A replay within 24 hours returns the stored response.
1 <= lengthResponse Body
application/json
application/json
curl -X POST "https://example.com/api/v1/review/497f6eca-6276-4993-bfeb-53cbbbba6f08/dismiss"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "setId": "83e19bc1-5428-42b5-88ea-b28354e481f3", "decisionId": "string", "kind": "action", "reason": "action", "sampleRate": 0, "band": "high", "suggested": "string", "status": "open", "assigneeId": "665a9750-71bd-4b96-bacd-9efa4ae022dd", "resolution": "string", "resolvedBy": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "tokenId": "07dfef4c-e677-4ce6-87a3-cd348338445f" }, "resolvedAt": "2019-08-24T14:15:22Z", "addToDataset": true, "createdAt": "2019-08-24T14:15:22Z"}/api/v1/review/{id}/confirmAuthorization
consoleSession The console session cookie. Its real name comes from the auth library (ADR-002).
In: cookie
Path Parameters
uuidHeader Parameters
Required for app and agent tokens on mutations. A replay within 24 hours returns the stored response.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/review/497f6eca-6276-4993-bfeb-53cbbbba6f08/confirm" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "setId": "83e19bc1-5428-42b5-88ea-b28354e481f3", "decisionId": "string", "kind": "action", "reason": "action", "sampleRate": 0, "band": "high", "suggested": "string", "status": "open", "assigneeId": "665a9750-71bd-4b96-bacd-9efa4ae022dd", "resolution": "string", "resolvedBy": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "tokenId": "07dfef4c-e677-4ce6-87a3-cd348338445f" }, "resolvedAt": "2019-08-24T14:15:22Z", "addToDataset": true, "createdAt": "2019-08-24T14:15:22Z"}Bandwise is an independent product built on TypeSafe's System One models. It is not TypeSafe's documentation. For the System One models themselves, see docs.typesafe.ai.